Package org.talend.transform.runtime.api

# Class StructConversionCommandImpl

java.lang.Object
org.talend.transform.runtime.common.ResourceExecutionCommandBase<org.talend.transform.runtime.common.StructConversionCommand,org.talend.transform.runtime.common.StructConversionStatus>
org.talend.transform.runtime.common.StructConversionCommandBase
org.talend.transform.runtime.api.StructConversionCommandImpl

All Implemented Interfaces:
  `org.talend.transform.runtime.common.ResourceExecutionCommand<org.talend.transform.runtime.common.StructConversionCommand,org.talend.transform.runtime.common.StructConversionStatus>`, `org.talend.transform.runtime.common.StructConversionCommand`

public class StructConversionCommandImpl extends org.talend.transform.runtime.common.StructConversionCommandBase

## Constructor Summary

Constructors
Constructor
Description
`StructConversionCommandImpl(StructConverterImpl structConverter, org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String resultRepName)`

## Method Summary

Modifier and Type
Method
Description
`org.talend.transform.runtime.common.StructConversionStatus`
`convert()`
`org.talend.transform.runtime.common.StructConversionCommand`
`freeConversionResources()`
`org.talend.transform.runtime.common.StructConversionCommand`
`self()`

### Methods inherited from class org.talend.transform.runtime.common.StructConversionCommandBase

`getExecutionStatus, getResourceLocation, getResult, getResultRepName, getSource, getSourceRepName, getStructLocation, setExecutionStatus, setResult, setSource`

### Methods inherited from class org.talend.transform.runtime.common.ResourceExecutionCommandBase

`getExecutionProperties, ignoreSkipLines, isAllowJavaCall, setAllowJavaCall, setExecutionProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.talend.transform.runtime.common.ResourceExecutionCommand

`getExecutionProperties, ignoreSkipLines, isAllowJavaCall, setAllowJavaCall, setExecutionProperties`

## Constructor Details

### StructConversionCommandImpl

public StructConversionCommandImpl(StructConverterImpl structConverter, org.talend.transform.runtime.common.StructLocation structLocation, String sourceRepName, String resultRepName)

## Method Details

### convert

public org.talend.transform.runtime.common.StructConversionStatus convert() throws org.talend.transform.runtime.common.StructConfigurationException, org.talend.transform.runtime.common.StructConversionException

Throws:
  `org.talend.transform.runtime.common.StructConfigurationException`
  `org.talend.transform.runtime.common.StructConversionException`

### freeConversionResources

public org.talend.transform.runtime.common.StructConversionCommand freeConversionResources()

### self

public org.talend.transform.runtime.common.StructConversionCommand self()

Specified by:
  `self` in class `org.talend.transform.runtime.common.StructConversionCommandBase`